Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowDefinitionsRequest.Builder

Object
Builder

Enclosing class:
  `FindWorkflowDefinitionsRequest`

public static final class FindWorkflowDefinitionsRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindWorkflowDefinitionsRequest.Builder`
  `assetIds(List<UUID> assetIds)`
  `FindWorkflowDefinitionsRequest`
  `build()`
  `FindWorkflowDefinitionsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindWorkflowDefinitionsRequest.Builder`
  `communityIds(List<UUID> communityIds)`
  `FindWorkflowDefinitionsRequest.Builder`
  `definitionIdPhrase(String definitionIdPhrase)`
  `FindWorkflowDefinitionsRequest.Builder`
  `description(String description)`
  `FindWorkflowDefinitionsRequest.Builder`
  `domainIds(List<UUID> domainIds)`
  `FindWorkflowDefinitionsRequest.Builder`
  `enabled(Boolean enabled)`
  `FindWorkflowDefinitionsRequest.Builder`
  `global(Boolean global)`
  `FindWorkflowDefinitionsRequest.Builder`
  `guardrailsValidationResult(GuardrailsValidationResult guardrailsValidationResult)`
  `FindWorkflowDefinitionsRequest.Builder`
  `limit(int limit)`
  `FindWorkflowDefinitionsRequest.Builder`
  `name(String name)`
  `FindWorkflowDefinitionsRequest.Builder`
  `offset(int offset)`
  `FindWorkflowDefinitionsRequest.Builder`
  `sortField(FindWorkflowDefinitionsRequest.SortField sortField)`
  `FindWorkflowDefinitionsRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindWorkflowDefinitionsRequest.Builder offset(int offset)

  - ### limit

    public FindWorkflowDefinitionsRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindWorkflowDefinitionsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindWorkflowDefinitionsRequest.builder()`
    Clone method for this Builder.

  - ### assetIds

    public FindWorkflowDefinitionsRequest.Builder assetIds(List<UUID> assetIds)
    Returns:
      `this`.

  - ### domainIds

    public FindWorkflowDefinitionsRequest.Builder domainIds(List<UUID> domainIds)
    Returns:
      `this`.

  - ### communityIds

    public FindWorkflowDefinitionsRequest.Builder communityIds(List<UUID> communityIds)
    Returns:
      `this`.

  - ### definitionIdPhrase

    public FindWorkflowDefinitionsRequest.Builder definitionIdPhrase(String definitionIdPhrase)
    Returns:
      `this`.

  - ### enabled

    public FindWorkflowDefinitionsRequest.Builder enabled(Boolean enabled)
    Returns:
      `this`.

  - ### global

    public FindWorkflowDefinitionsRequest.Builder global(Boolean global)
    Returns:
      `this`.

  - ### name

    public FindWorkflowDefinitionsRequest.Builder name(String name)
    Returns:
      `this`.

  - ### description

    public FindWorkflowDefinitionsRequest.Builder description(String description)
    Returns:
      `this`.

  - ### guardrailsValidationResult

    public FindWorkflowDefinitionsRequest.Builder guardrailsValidationResult(GuardrailsValidationResult guardrailsValidationResult)
    Returns:
      `this`.

  - ### sortOrder

    public FindWorkflowDefinitionsRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### sortField

    public FindWorkflowDefinitionsRequest.Builder sortField(FindWorkflowDefinitionsRequest.SortField sortField)
    Returns:
      `this`.

  - ### build

    public FindWorkflowDefinitionsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`